<template>
  <article class="time-point-description">
    <header class="time-point-description__title">{{title}}</header>
    <aside class="time-point-description__text">
      <p class="time-point-description__text-paragraph" v-for="p in text" :key="p">{{p}}</p>
      <div v-if="showExperience" class="time-point-description__experience">
        <span
          class="time-point-description__skill"
          v-for="skill in experience"
          :key="skill"
        >{{skill}}</span>
      </div>
      <div v-if="showLinks" class="time-point-description__experience">
        <a
          class="time-point-description__skill"
          v-for="link in links"
          :key="link.href"
          target="_blank"
          :href="link.href"
        >{{link.title}}</a>
      </div>
    </aside>
  </article>
</template>

<script>
export default {
  name: "Description",
  props: {
    title: String,
    text: Array,
    experience: Array,
    links: Array
  },
  computed: {
    showExperience: function() {
      return this.experience && this.experience.length > 0;
    },
    showLinks: function() {
      return this.links && this.links.length > 0;
    }
  }
};
</script>

<style scoped lang="scss">
@import "~/assets/scss/_mixins.scss";
@import "~/assets/scss/_variables.scss";
.time-point-description {
  position: relative;
  margin-left: 12px;
  &__title {
    padding: 6px 12px;
    font-size: 0.9em;
    font-weight: bold;
    position: absolute;
    top: -28px;
  }
  &__text {
    border-radius: 12px;
    padding: 12px;
    font-size: 0.8em;
    background: #ffffff;
    word-wrap: break-word;
    position: relative;
    box-shadow: 1px 1px 1px 0px rgba(0, 0, 0, 0.2);
    &-paragraph:not(:first-child) {
      padding-top: 8px;
    }
    @include respond-to(sm) {
    }
    @include respond-to(md) {
      max-width: 350px;
    }
    @include respond-to(lg) {
      max-width: 400px;
    }
  }
  &__experience {
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    margin-top: 8px;
  }
  &__skill {
    background: darken($color: $primary-color, $amount: 7);
    margin-right: 8px;
    margin-top: 8px;
    @include respond-to(sm) {
      padding: 4px 6px;
    }
    @include respond-to(md) {
      padding: 5px 7px;
    }
    @include respond-to(lg) {
      padding: 6px 8px;
    }
    font-size: 0.9em;
    display: inline-block;
  }
}
</style>